Skip to main content
`Ctrl`+`K`

# PetscLogHandlerObjectDestroy

Record the destruction of an object in a log handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerObjectDestroy(PetscLogHandler h, PetscObject obj)

Not collective

## Input Parameters

- h - the `PetscLogHandler`

- obj - a newly created `PetscObject`

## Notes

Most users will use `PetscLogObjectDestroy()`, which will call this function for all handlers registered with `PetscLogHandlerStart()`.

## See Also

Profiling, `PetscLogHandler`, `PetscLogObjectCreate()`, `PetscLogObjectDestroy()`, `PetscLogHandlerObjectCreate()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerObjectDestroy_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerObjectDestroy_Legacy() in src/sys/logging/handler/impls/legacy/loglegacy.c
PetscLogHandlerObjectDestroy_Nested() in src/sys/logging/handler/impls/nested/lognested.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages